# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "arborium-agda"
version = "0.900.0"
authors = ["Amos Wenger <amos@bearcove.eu>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Agda grammar for arborium (tree-sitter bindings)"
homepage = "https://github.com/bearcove/arborium"
documentation = "https://docs.rs/arborium-agda"
readme = "README.md"
keywords = [
    "tree-sitter",
    "agda",
    "syntax-highlighting",
    "code",
]
categories = [
    "parsing",
    "text-processing",
]
license = "MIT"
repository = "https://github.com/bearcove/arborium"

[lib]
name = "arborium_agda"
path = "src/lib.rs"

[dependencies.arborium-sysroot]
version = "0.900.0"

[dependencies.arborium-tree-sitter]
version = "0.900.0"

[dev-dependencies.arborium-test-harness]
version = "0.900.0"

[build-dependencies.cc]
version = "1"
